<?php if (!defined('FW')) die( 'Forbidden' ); ?>

<div class="portfolio-showcase">

    <?php

    $term_id   = (int) $atts['category'];

    $posts_per_page = (int) $atts['posts_number'];
    if ( $posts_per_page == 0 ) {
        $posts_per_page = - 1;
    }


    if ( $term_id == 0 ) {
        $args = array(
            'posts_per_page' => $posts_per_page,
            'post_type'      => 'portfolio_item',
            'orderby'        => 'menu_order date'
        );
    } else {
        $args = array(
            'posts_per_page' => $posts_per_page,
            'post_type'      => 'portfolio_item',
            'orderby'        => 'menu_order date',
            'tax_query'      => array(
                array(
                    'taxonomy' => 'portfolio',
                    'field'    => 'id',
                    'terms'    => $term_id
                )
            )
        );
    }


    $wp_query = new WP_Query( $args );

    $col_number = (int) $atts['columns'];

    ?>

    <?php if ( $wp_query->have_posts() ) : ?>


            <div class="portfolio-grid col_no_<?php echo $col_number; ?>">

                <?php while ( $wp_query->have_posts() ) : $wp_query->the_post(); ?>

                    <?php

                    $portfolios = wp_get_post_terms( get_the_ID(), 'portfolio' );

                    $portfolio_video_popup_url      = get_post_meta( get_the_ID(), 'wpzoom_portfolio_video_popup_url', true );
                    $portfolio_video_popup_url_mp4  = get_post_meta( get_the_ID(), 'wpzoom_portfolio_video_popup_url_mp4', true );
                    $portfolio_video_popup_url_webm = get_post_meta( get_the_ID(), 'wpzoom_portfolio_video_popup_url_webm', true );
                    $portfolio_popup_video_type     = get_post_meta( get_the_ID(), 'wpzoom_portfolio_popup_video_type', true );
                    $popup_video_type               = ! empty( $portfolio_popup_video_type ) ? $portfolio_popup_video_type : 'external_hosted';
                    $video_background_mp4              = get_post_meta( get_the_ID(), 'wpzoom_portfolio_video_background_mp4', true );
                    $video_background_webm             = get_post_meta( get_the_ID(), 'wpzoom_portfolio_video_background_webm', true );


                    $is_video_popup_self_hosted     = $portfolio_video_popup_url_mp4 || $portfolio_video_popup_url_webm;
                    $popup_self_hosted_src          = ! empty( $portfolio_video_popup_url_mp4 ) ? $portfolio_video_popup_url_mp4 : $portfolio_video_popup_url_webm;
                    $has_video_popup = $is_video_popup_self_hosted || (! empty( $portfolio_video_popup_url ));

                    $is_video_background_source        = $video_background_mp4 || $video_background_webm;
                    $is_video_background = option::is_on('enable_portfolio_background_video') && $is_video_background_source;

                    $final_background_src     = ! empty( $video_background_mp4 ) ? $video_background_mp4 : $video_background_webm;
                    $popup_final_external_src = ! empty( $portfolio_video_popup_url_mp4 ) ? $portfolio_video_popup_url_mp4 : $portfolio_video_popup_url_webm;

                    $articleClass = ( ! has_post_thumbnail() && ! $is_video_background ) ? 'no-thumbnail ' : '';

                    if ( is_array( $portfolios ) ) {
                        foreach ( $portfolios as $portfolio ) {
                            $articleClass .= 'portfolio_' . $portfolio->term_id . '_item ';
                        }
                    }


                    if ( $is_video_background ) {
                        $filetype             = wp_check_filetype( $final_background_src );
                        $video_atts           = array(
                            'loop',
                            'muted',
                            'preload="none"',
                            // 'poster="' . esc_attr( get_the_post_thumbnail_url( get_the_ID(), 'portfolio_item-thumbnail' ) ) . '"'
                        );
                        $video_atts           = implode( ' ', $video_atts );
                        $is_video_popup_class = $is_video_background ? ' is-portfolio-gallery-video-background' : '';
                        $articleClass .= $is_video_popup_class;
                    }

                    ?>

                    <article id="post-<?php the_ID(); ?>" <?php post_class( $articleClass ); ?>>

                        <?php if ( $popup_video_type === 'self_hosted' && $is_video_popup_self_hosted ): ?>
                            <div id="zoom-popup-<?php echo the_ID(); ?>" class="animated slow mfp-hide"
                                 data-src="<?php echo $popup_self_hosted_src; ?>">
                                <div class="mfp-iframe-scaler">
                                    <?php
                                    echo wp_video_shortcode(
                                        array(
                                            'src'  => $popup_self_hosted_src,
                                            'loop' => 'off'
                                            //'autoplay' => 'on'
                                        ) );
                                    ?>
                                </div>
                            </div>
                        <?php endif;?>

                        <a class="reel_video_item" href="<?php echo esc_url( get_permalink() ); ?>" title="<?php echo esc_attr( get_the_title() ); ?>">
                            <?php if($has_video_popup): ?>
                            <div class="entry-thumbnail-popover<?php if (option::is_on('lightbox_open_thumb') ) { ?> lightbox_open_full<?php } ?>">
                                <div class="entry-thumbnail-popover-content lightbox_popup_insp popover-content--animated">

                                    <?php if ( $atts['lightbox'] == 'lightbox_enable') { ?>

                                        <?php if ( $popup_video_type === 'self_hosted' && $is_video_popup_self_hosted ): ?>
                                            <span href="#zoom-popup-<?php echo the_ID(); ?>" class="mfp-inline portfolio-popup-video"></span>
                                        <?php elseif ( $popup_video_type === 'external_hosted' && ! empty( $portfolio_video_popup_url ) ): ?>
                                            <span class="mfp-iframe portfolio-popup-video"
                                                  href="<?php echo $portfolio_video_popup_url; ?>"></span>
                                        <?php endif; ?>
                                    <?php } ?>
                                </div>
                            </div>
                            <?php endif;?>

                            <?php if ( $is_video_background ): ?>
                               <video class="portfolio-gallery-video-background" <?php echo $video_atts ?>>
                                   <source src="<?php echo $final_background_src ?>"
                                           type="<?php echo $filetype['type'] ?>">
                               </video>

                               <?php the_post_thumbnail( 'portfolio_item-thumbnail' ); ?>

                           <?php elseif ( has_post_thumbnail() ): ?>

                               <?php the_post_thumbnail( 'portfolio_item-thumbnail' ); ?>

                           <?php else: ?>

                               <img width="600" height="400"
                                    src="<?php echo get_template_directory_uri() . '/images/portfolio_item-placeholder.gif'; ?>">

                           <?php endif; ?>

                        </a>

                        <?php the_title( sprintf( '<h3 class="portfolio_item-title_btm"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' ); ?>


                    </article><!-- #post-## -->

                <?php endwhile; ?>

            </div>


    <?php endif; ?>


    <?php if ( $atts['button_all'] == 'button_all_show') { ?>

        <div class="portfolio-view_all-link">
            <a href="<?php echo esc_attr($atts['link']) ?>" target="<?php echo esc_attr($atts['target']) ?>" class="btn">
            <?php echo $atts['label']; ?>
            </a>
        </div>

    <?php } ?>

</div>