# Homepage Slideshow

Each slide (image or video) from the Slideshow is a separate Slideshow Post. You can add new slides from the [Slideshow](edit.php?post_type=slider) section.

**[Add a New Slideshow Post](edit.php?post_type=slider)**

**[View more details in Documentation](https://www.wpzoom.com/documentation/reel/#slider)**


# Portfolio Module


### Create Portfolio Posts
Before creating a page which will show all your Portfolio posts, you have to publish a few Portfolio posts in the [Portfolio](edit.php?post_type=portfolio_item) section.

**[Add a New Portfolio Post](edit.php?post_type=portfolio_item)**

---

### Create the Portfolio Page
Portfolio Posts can be displayed on a new or an existing page.

1. Create a new page or edit an existing one
2. Change the **Page Template** to one of the 5 available Portfolio templates.
3. Publish your page.

You can see more details and differences between each template in the [documentation](https://www.wpzoom.com/documentation/reel/#portfolio).

**[Add a New Page](post-new.php?post_type=page)**


# Homepage Setup

By default WordPress, and possible your website shows your latest blog posts on homepage. You can easily change that from **[Reading Settings](options-reading.php)**, by setting a static page as front page.

---

### Different ways to configure the Homepage:

When creating a new page which you will assign as your Front Page in the **Settings > Reading**, you have 3 Page Templates available for homepage:

[![widgets](https://www.wpzoom.com/wp-content/uploads/2019/01/reel-pages.png)](https://www.wpzoom.com/wp-content/uploads/2019/01/reel-pages.png)


1. **Homepage (Page Builder)** - if you set this page template to your front page, then you can easily build the layout you want using the **[Beaver Builder](https://www.wpbeaverbuilder.com/wpzoom/?fla=463)** _(also available for free)_ or a different page builder. You can also preload a pre-defined layout from the demo of your theme from the **Templates** section in the builder:

[![template](https://www.wpzoom.com/wp-content/uploads/2018/09/beaver-load-template.png)](https://www.wpzoom.com/wp-content/uploads/2018/09/beaver-load-template.png)

2. **Homepage (Portfolio Isotope or Infinite Scroll)** - if you set this page template to your front page, then the slideshow and your latest portfolio posts will appear on the front page.

The number of columns can be changed in Theme Options > Portfolio Options.



**[Add a New Page](post-new.php?post_type=page)**


# Blog Page

If you set a static page as your front page, you can easily show your latest blog posts on a new or existing page.

### How to Create a Blog Page

1. If you don't have a Blog page yet, please create one from **Pages > Add New**
2. From **Settings > Reading** page, select your **Blog** as the **Posts Page**.

You can find more instructions [in this tutorial](https://www.wpzoom.com/docs/how-to-create-a-blog-page-in-business-themes/).

# Quick Tips

## How to Upload my Logo?

You can upload your custom logo image in the **Customizer > Site Identity**.

---

## How to enable the eCommerce (Shop) functionality?

Our theme fully supports the most popular eCommerce plugin for WordPress - [WooCommerce](https://wordpress.org/plugins/woocommerce/). You will have to install and activate it in order to enable the Shop page.

---

### How to Create a Contact Form?

You can create a Contact Form easily by using the free plugin [WPForms](https://wordpress.org/plugins/wpforms-lite/). If you need to create advanced forms or need more features, check out [WPForms Premium](http://wpzoom.com/go/wpforms).
&nbsp;
&nbsp;


# Documentation

For full theme Documentation please visit our website:
* **[Reel Documentation](https://www.wpzoom.com/documentation/reel/)**
* **[Knowledge Base](https://www.wpzoom.com/docs/)**


# Need Support?

Need one-to-one assistance with your theme? Get in touch with our Support team and we'd love the opportunity to help you.

**[Open a New Support Ticket](https://www.wpzoom.com/support/tickets/create/)**
