<?php
/**
 * The main template file.
 */

get_header(); ?>

<main id="main" class="site-main" role="main">

    <?php if ( option::is_on( 'featured_posts_show' ) && is_front_page() && $paged < 2) : ?>

        <div class="slider-wrap">

            <?php get_template_part( 'wpzoom-slider' ); ?>

        </div>

    <?php endif; ?>


    <div class="inner-wrap">

        <section class="recent-posts">

            <h2 class="section-title"><?php if ( is_front_page() ) : ?><?php echo esc_html( option::get('recent_title') ); ?><?php else: ?><?php echo get_the_title( get_option( 'page_for_posts' ) ); ?><?php endif; ?></h2>

            <?php if ( have_posts() ) : ?>

                <section id="recent-posts">

                    <?php while ( have_posts() ) : the_post(); ?>

                        <?php

                        get_template_part( 'content', get_post_format() );
                        ?>

                    <?php endwhile; ?>

                </section>

                <?php get_template_part( 'pagination' ); ?>

            <?php else: ?>

                <?php get_template_part( 'content', 'none' ); ?>

            <?php endif; ?>

        </section><!-- .recent-posts -->

    </div>

</main><!-- .site-main -->

<?php
get_footer();
