<?php
/**
 * Template Name: Homepage (Portfolio Infinite Scroll)
 */

get_header(); ?>

 <main id="main" class="site-main" role="main">

     <?php if ( option::is_on( 'featured_posts_show' ) ) : ?>

        <div class="slider-wrap">

            <?php get_template_part( 'wpzoom-slider' ); ?>

        </div>

     <?php endif; ?>

     <div class="inner-wrap">

        <section class="portfolio-archive">

            <section class="home_section">

                <h2 class="section-title"><?php _e('Our Work', 'wpzoom'); ?></h2>

            </section>

            <?php
                $paged = get_query_var( 'paged' ) ? get_query_var( 'paged' ) : 1;

                $args = array(
                    'post_type'      => 'portfolio_item',
                    'paged'          => $paged,
                    'posts_per_page' => option::get( 'portfolio_posts' ),
                );

                $wp_query = new WP_Query( $args );

                $col_number = option::get('portfolio_grid_col');
                ?>

                <?php if ( $wp_query->have_posts() ) : ?>


                    <script type="text/javascript">
                        var wpz_currPage = <?php echo $paged; ?>,
                            wpz_maxPages = <?php echo $wp_query->max_num_pages; ?>,
                            wpz_pagingURL = '<?php echo add_query_arg( array('paged' => '%page%'), get_permalink()); ?>';

                    </script>

                    <div class="portfolio-grid col_no_<?php echo $col_number; ?>">

                        <?php while ( $wp_query->have_posts() ) : $wp_query->the_post(); ?>

                            <?php get_template_part( 'portfolio/content' ); ?>

                        <?php endwhile; ?>

                    </div>

                    <?php get_template_part( 'pagination' ); ?>

                <?php else: ?>

                    <?php get_template_part( 'content', 'none' ); ?>

                <?php endif; ?>


         </section><!-- .portfolio-archive -->

     </div>
 </main><!-- .site-main -->

<?php
get_footer();
