<?php
/**
 * Template Name: Homepage (Portfolio Isotope)
 */

get_header(); ?>

 <main id="main" class="site-main" role="main">

     <?php if ( option::is_on( 'featured_posts_show' ) ) : ?>

        <div class="slider-wrap">

            <?php get_template_part( 'wpzoom-slider' ); ?>

        </div>

     <?php endif; ?>

     <div class="inner-wrap">

        <section class="portfolio-archive">

            <section class="home_section">

                <h2 class="section-title"><?php _e('Our Work', 'wpzoom'); ?></h2>

                <nav class="portfolio-archive-taxonomies">
                     <ul class="portfolio-taxonomies portfolio-taxonomies-filter-by">
                         <li class="cat-item cat-item-all current-cat"><a href="<?php echo get_page_link( option::get( 'portfolio_url' ) ); ?>"><?php _e( 'All', 'wpzoom' ); ?></a></li>

                         <?php wp_list_categories( array( 'title_li' => '', 'hierarchical' => true,  'taxonomy' => 'portfolio', 'depth' => 1 ) ); ?>
                    </ul>

                </nav>

            </section>

            <?php
                $paged = get_query_var( 'paged' ) ? get_query_var( 'paged' ) : 1;

                $args = array(
                    'post_type'      => 'portfolio_item',
                    'posts_per_page' => -1,
                );

                $wp_query = new WP_Query( $args );

                $col_number = option::get('portfolio_grid_col');

            ?>

            <?php if ( $wp_query->have_posts() ) : ?>

                <div class="portfolio-grid col_no_<?php echo $col_number; ?>">

                    <?php while ( $wp_query->have_posts() ) : $wp_query->the_post(); ?>

                        <?php get_template_part( 'portfolio/content' ); ?>

                    <?php endwhile; ?>

                </div>

                <?php get_template_part( 'pagination' ); ?>

            <?php else: ?>

                <?php get_template_part( 'content', 'none' ); ?>

            <?php endif;

            wp_reset_query(); ?>

         </section><!-- .portfolio-archive -->

     </div>
 </main><!-- .site-main -->

<?php
get_footer();