<?php
/*
Template Name: Portfolio (Infinite Scroll)
*/

get_header(); ?>

<main id="main" class="site-main" role="main">

    <div class="inner-wrap">

        <section class="portfolio-archive">

            <?php while ( have_posts() ) : the_post(); ?>

                <section class="home_section">

                    <?php the_title( '<h2 class="section-title">', '</h2>' ); ?>

                    <div class="entry-header-excerpt"><?php the_content(); ?></div>

                    <nav class="portfolio-archive-taxonomies">
                        <ul class="portfolio-taxonomies">
                            <li class="cat-item cat-item-all current-cat"><a href="<?php echo get_page_link( option::get( 'portfolio_url' ) ); ?>"><?php _e( 'All', 'wpzoom' ); ?></a></li>

                            <?php wp_list_categories( array( 'title_li' => '', 'hierarchical' => true,  'taxonomy' => 'portfolio', 'depth' => 1 ) ); ?>
                        </ul>
                    </nav>

                </section>

            <?php endwhile; // end of the loop. ?>

            <?php
            $paged = get_query_var( 'paged' ) ? get_query_var( 'paged' ) : 1;

            $subcategory = get_post_meta($post->ID, 'wpzoom_portfolio_page_category_name', true);

            if (!$subcategory ) {
                $subcategory = option::get( 'portfolio_category_displayed' );
            }

            $args = array(
                'post_type'      => 'portfolio_item',
                'paged'          => $paged,
                'posts_per_page' => option::get( 'portfolio_posts' ),
                'orderby' =>'menu_order date'
            );

            if ( ! empty( $subcategory ) ) {
                $args['tax_query'] = array(
                    array(
                        'taxonomy' => 'portfolio',
                        'terms'    => $subcategory,
                        'field'    => 'term_id',
                    )
                );
            }


            $wp_query = new WP_Query( $args );

            $col_number = option::get('portfolio_grid_col');
            ?>

            <?php if ( $wp_query->have_posts() ) : ?>


                <script type="text/javascript">
                    var wpz_currPage = <?php echo $paged; ?>,
                        wpz_maxPages = <?php echo $wp_query->max_num_pages; ?>,
                        wpz_pagingURL = '<?php echo add_query_arg( array('paged' => '%page%'), get_permalink()); ?>';

                </script>

                <div class="portfolio-grid col_no_<?php echo $col_number; ?>">

                    <?php while ( $wp_query->have_posts() ) : $wp_query->the_post(); ?>

                        <?php get_template_part( 'portfolio/content' ); ?>

                    <?php endwhile; ?>

                </div>

                <?php get_template_part( 'pagination' ); ?>

            <?php else: ?>

                <?php get_template_part( 'content', 'none' ); ?>

            <?php endif; ?>

        </section><!-- .portfolio-archive -->

    </div>

</main><!-- #main -->

<?php get_footer(); ?>