<?php
/*
Template Name: Portfolio (Sorting Effect)
*/

get_header(); ?>

<main id="main" class="site-main" role="main">

    <div class="inner-wrap">

        <section class="portfolio-archive">

            <?php while ( have_posts() ) : the_post(); ?>

                <section class="home_section">

                    <?php the_title( '<h2 class="section-title">', '</h2>' ); ?>

                    <div class="entry-header-excerpt"><?php the_content(); ?></div>

                    <?php
                        $subcategory = get_post_meta($post->ID, 'wpzoom_portfolio_page_category_name', true);

                        if (!$subcategory ) {
                            $subcategory = option::get( 'portfolio_category_displayed' );
                        }

                    ?>

                    <nav class="portfolio-archive-taxonomies">
                        <ul class="portfolio-taxonomies portfolio-taxonomies-filter-by">
                            <li class="cat-item current-cat cat-item-all" <?php echo( ! empty( $subcategory ) ? 'data-subcategory="' . $subcategory . '"' : '' ); ?>>
                                <a href="<?php echo get_page_link( option::get( 'portfolio_url' ) ); ?>"><?php _e( 'All', 'wpzoom' ); ?></a>
                            </li>

                            <?php wp_list_categories( array(
                                'title_li'     => '',
                                'hierarchical' => false,
                                'taxonomy'     => 'portfolio',
                                'child_of'     => $subcategory,
                                // 'depth' => 1
                            ) ); ?>

                        </ul>
                    </nav>


                </section>

            <?php endwhile; // end of the loop. ?>

            <?php
                $portfolio_ajax_atts = '';
                $col_number          = option::get( 'portfolio_grid_col' );
                $subcategory = get_post_meta($post->ID, 'wpzoom_portfolio_page_category_name', true);

                if (!$subcategory ) {
                    $subcategory = option::get( 'portfolio_category_displayed' );
                }

                $args                = array(
                    'post_type'      => 'portfolio_item',
                    'posts_per_page' => -1,
                    'orderby'        => 'menu_order date'
                );

                if ( option::is_on( 'portfolio_ajax_items_loading' ) ) {
                    $args['posts_per_page'] = (int) option::get( 'portfolio_posts' );
                    $portfolio_ajax_atts    = array_to_data_atts(
                        array(
                            'data-nonce'              => esc_attr( wp_create_nonce( 'wpz_get_portfolio_filtered_items' ) ),
                            'data-ajax-items-loading' => 1,
                            'data-callback-template'  => basename( get_page_template() )
                        ) );
                }

                if ( ! empty( $subcategory ) ) {
                    $args['tax_query'] = array(
                        array(
                            'taxonomy' => 'portfolio',
                            'terms'    => $subcategory,
                            'field'    => 'term_id',
                        )
                    );
                }

                $wp_query = new WP_Query( $args );
                ?>

            <?php if ( $wp_query->have_posts() ) : ?>

                <div <?php echo $portfolio_ajax_atts; ?> class="portfolio-grid col_no_<?php echo $col_number; ?>">

                    <?php while ( $wp_query->have_posts() ) : $wp_query->the_post(); ?>

                        <?php get_template_part( 'portfolio/content' ); ?>

                    <?php endwhile; ?>

                </div>

                <?php get_template_part( 'pagination' ); ?>

            <?php else: ?>

                <?php get_template_part( 'content', 'none' ); ?>

            <?php endif; ?>

        </section><!-- .portfolio-archive -->

    </div>

</main><!-- #main -->

<?php get_footer(); ?>