<?php get_header(); ?>

<?php
$has_thumb_class = has_post_thumbnail() ? 'has-post-cover' : '';
$video_director = get_post_meta( get_the_ID(), 'su_portfolio_item_director', true );
$video_year = get_post_meta( get_the_ID(), 'su_portfolio_item_year', true );

?>
<main id="main" class="site-main container-fluid" role="main">

    <?php while ( have_posts() ) : the_post(); ?>

        <article id="post-<?php the_ID(); ?>" <?php post_class( $has_thumb_class ); ?>>

            <?php $entryCoverBackground = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'cover-single' ); ?>

            <header class="entry-header">

                <?php if (has_post_thumbnail() && option::is_on( 'portfolio_image_top' ) ) { ?>

                    <div class="entry-cover" style="background-image: url('<?php echo $entryCoverBackground[0]; ?>')">

                <?php } ?>

                    <div class="entry-info">

                        <?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>

                    </div>

                <?php if (has_post_thumbnail() && option::is_on( 'portfolio_image_top' ) ) { ?>

                    </div><!-- .entry-cover -->

                <?php } ?>

            </header><!-- .entry-header -->


            <?php if (option::is_on('portfolio_category') ) { ?>

                <div class="entry-details">

                    <div class="inner-wrap">

                        <div class="entry-meta">

                            <ul>
                                <?php if ($video_director) { ?>
                                   <li><span class="portfolio_item-director"><?php _e('Director', 'wpzoom'); ?></span> <?php echo $video_director; ?></li>
                                <?php } ?>

                                <?php if ($video_year) { ?>
                                   <li><span class="portfolio_item-year"><?php _e('Year of Production', 'wpzoom'); ?></span> <?php echo $video_year; ?></li>
                                <?php } ?>

                                <?php if ( option::is_on( 'portfolio_category' ) ) : ?><li><span class="entry-category"><?php _e( 'Category', 'wpzoom' ); ?> </span>

                                     <?php if ( is_array( $tax_menu_items = get_the_terms( get_the_ID(), 'portfolio' ) ) ) : ?>
                                         <?php foreach ( $tax_menu_items as $tax_menu_item ) : ?>
                                             <a href="<?php echo get_term_link( $tax_menu_item, $tax_menu_item->taxonomy ); ?>"><?php echo $tax_menu_item->name; ?></a>
                                         <?php endforeach; ?>
                                     <?php endif; ?>
                                 </li>
                                 <?php endif; ?>
                            </ul>

                        </div>

                    </div>

                </div>

            <?php } ?>


            <div class="inner-wrap">

                <div class="entry_wrapper">

                    <div class="entry-content">
                        <?php the_content(); ?>
                    </div><!-- .entry-content -->

                    <div class="clear"></div>

                    <?php edit_post_link( __( 'Edit', 'wpzoom' ), '<footer class="entry-footer"><span class="edit-link">', '</span></footer><!-- .entry-footer -->' ); ?>

                    <div class="clear"></div>

                </div>

            </div> <!-- /.inner-wrap -->

        </article><!-- #post-## -->

    <?php endwhile; // end of the loop. ?>


    <?php if (option::is_on('portfolio_related') ) { ?>

        <?php $query = su_portfolio_item_get_related_items( get_the_ID() );

        if ( $query->have_posts() ) : ?>

            <div class="portfolio_related">

                <div class="inner-wrap">

                    <h3 class="portfolio_item-related-title"><?php _e( 'Related Projects', 'wpzoom' ); ?></h3>

                    <div id="loading-related">
                        <div class="spinner">
                            <div class="rect1"></div> <div class="rect2"></div> <div class="rect3"></div> <div class="rect4"></div> <div class="rect5"></div>
                        </div>
                    </div>

                    <div class="carousel_widget_wrapper" id="carousel_widget_wrapper">

                        <ul id="carousel-related" class="flickity">

                            <?php while ( $query->have_posts() ) : $query->the_post(); ?>
                                <li>
                                    <?php if ( has_post_thumbnail() ) { ?>

                                        <div class="post-thumb">
                                            <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('portfolio_item-thumbnail'); ?></a>
                                        </div>

                                        <?php

                                    } ?>

                                    <h3><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'wpzoom' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h3>

                                    <div class="clear"></div>
                                </li>
                            <?php endwhile; ?>

                        </ul>

                    </div>

                    <script type="text/javascript">
                        jQuery(function($) {

                            var $c = $('#carousel-related');

                            $c.imagesLoaded( function(){

                                $('#carousel_widget_wrapper').show();
                                $('#loading-related').hide();

                                $c.flickity({
                                    autoPlay: false,
                                    cellAlign: 'left',
                                    contain: true,
                                    percentPosition: false,
                                    pageDots: false,
                                    wrapAround: 'true',
                                    freeScroll: false,
                                    imagesLoaded: true,
                                    accessibility: false,
                                    arrowShape: {
                                      x0: 10,
                                      x1: 60, y1: 50,
                                      x2: 65, y2: 50,
                                      x3: 15
                                    }
                                });

                            });

                        });
                    </script>

                </div>

            </div>

        <?php endif; ?>

    <?php } ?>


    <?php if (option::is_on('portfolio_backlink') ) { ?>

        <div class="back_portfolio_wrap">
            <div class="inner-wrap">
                <a href="<?php echo get_page_link( option::get( 'portfolio_url' ) ); ?>" class="back_portfolio"><?php _e('Back to Projects', 'wpzoom'); ?></a>
            </div>

        </div>
    <?php } ?>


</main><!-- #main -->

<?php get_footer(); ?>